# Uses of Interface
org.eclipse.ui.INavigationLocation

Packages that use INavigationLocation
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of INavigationLocation in org.eclipse.ui

Classes in org.eclipse.ui that implement INavigationLocation
Modifier and Type
Class
Description
`class`
`NavigationLocation`
Default implementation of INavigationLocation.
Methods in org.eclipse.ui that return INavigationLocation
Modifier and Type
Method
Description
`INavigationLocation`
INavigationLocationProvider.`createEmptyNavigationLocation()`
Creates an empty navigation location.
`INavigationLocation`
INavigationLocationProvider.`createNavigationLocation()`
Creates a navigation location describing the current state.
`INavigationLocation`
INavigationHistory.`getCurrentLocation()`
Returns the current location.
`INavigationLocation[]`
INavigationHistory.`getLocations()`
Returns all entries in the history.
Methods in org.eclipse.ui with parameters of type INavigationLocation
Modifier and Type
Method
Description
`boolean`
INavigationLocation.`mergeInto(INavigationLocation currentLocation)`
Merge the receiver into `currentLocation`.

## Uses of INavigationLocation in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement INavigationLocation
Modifier and Type
Class
Description
`class`
`TextSelectionNavigationLocation`
Represents the text selection context marked for the user in the navigation history.
Methods in org.eclipse.ui.texteditor that return INavigationLocation
Modifier and Type
Method
Description
`INavigationLocation`
AbstractTextEditor.`createEmptyNavigationLocation()`
`INavigationLocation`
AbstractTextEditor.`createNavigationLocation()`
Methods in org.eclipse.ui.texteditor with parameters of type INavigationLocation
Modifier and Type
Method
Description
`boolean`
TextSelectionNavigationLocation.`mergeInto(INavigationLocation location)`
Merges the given location into this one.